## luminance-hdr 2.5.1+dfsg

=== CMakeLists.txt ===
PROJECT("Luminance HDR") # luminance-hdr)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
CMAKE_POLICY(SET CMP0043 OLD)

# set include path for FindXXX.cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/build_files/Modules")

# Global variables for CMake
include(build_files/Modules/Version.cmake)
include(build_files/Modules/GlobalSettings.cmake)
include(build_files/Modules/CompilerSettings.cmake)
include(build_files/Modules/Internationalization.cmake)

IF(TIMER_PROFILING)
    ADD_DEFINITIONS(-DTIMER_PROFILING)
ENDIF()

# ======== Has branch prediction =======
include( CheckCXXSourceCompiles )

check_cxx_source_compiles( "int main() { int x = 0; if( __builtin_expect((x),0) ) x = 1; return 0; }" HAS_BRANCH_PREDICTION )

if( HAS_BRANCH_PREDICTION )
  set( BRANCH_PREDICTION 1 )
else( HAS_BRANCH_PREDICTION )
  set( BRANCH_PREDICTION 0 )
endif( HAS_BRANCH_PREDICTION )

# find and setup Qt5 for this project

# Tell CMake to run moc when necessary:
  #set(CMAKE_AUTOMOC ON)
  # As moc files are generated in the binary dir, tell CMake
  # to always look for includes there:
  #set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Core REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5WebEngineCore REQUIRED)
find_package(Qt5WebEngineWidgets REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
IF(WIN32)
    find_package(Qt5WinExtras)
ENDIF()

# Include the qtmain lib if we are on the windows platform
IF(WIN32)
    SET(LIBS ${LIBS} ${Qt5Core_QTMAIN_LIBRARIES})
ENDIF(WIN32)

set(LIBS ${LIBS}
    ${QT_QTCORE_LIBRARIES} ${QT_QTGUI_LIBRARIES} ${QT_QTNETWORK_LIBRARIES}
    ${QT_QTWEBENGINE_LIBRARIES} ${QT_QTXML_LIBRARIES} ${QT_QTSQL_LIBRARIES})

FIND_PACKAGE(Git)
IF(GIT_FOUND)
    include(GetGitRevisionDescription)
    get_git_head_revision(GIT_REFSPEC GIT_SHA1)
ENDIF()

IF(WIN32)
    # Windows Section

    # to not define min/max macros, which cause troubles with STL and boost
    ADD_DEFINITIONS(-DNOMINMAX)

    SET(LIBRAW_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libraw")
    SET(FFTWF_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/fftw3")
    SET(LCMS2_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/lcms2")

    # Enable multi processor compilation
    ADD_DEFINITIONS(/MP)

    # Enable SSE2
    IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
        # SSE2 is on by default, on x64 platforms
    	ADD_DEFINITIONS(/arch:SSE2)
    ENDIF()

    ADD_DEFINITIONS(-DUNICODE )
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -D_REENTRANT)
    SET(FFTWF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3/libfftw3f-3.lib")

    SET(LIBRAW_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libraw/libraw.lib")
    ADD_DEFINITIONS("-DDEMOSAICING_GPL2")
    ADD_DEFINITIONS("-DDEMOSAICING_GPL3")

    SET(LCMS2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms2.lib")
    ADD_DEFINITIONS(-DCMS_DLL)
    ADD_DEFINITIONS(-DUSE_LCMS2)

    INCLUDE_DIRECTORIES(${LIBRAW_INCLUDE_DIR} "${LIBRAW_INCLUDE_DIR}/libraw")
    INCLUDE_DIRECTORIES(${FFTWF_INCLUDE_DIR})
    INCLUDE_DIRECTORIES(${LCMS2_INCLUDE_DIR})
ELSE()
    # Unix & Apple part
    FIND_PACKAGE(LibRAW REQUIRED)
    INCLUDE_DIRECTORIES(${LIBRAW_INCLUDE_DIR} "${LIBRAW_INCLUDE_DIR}/libraw")

    FIND_PACKAGE(fftwf REQUIRED)
    INCLUDE_DIRECTORIES(${FFTWF_INCLUDE_DIR})

    FIND_PACKAGE(lcms2 REQUIRED)
    INCLUDE_DIRECTORIES(${LCMS2_INCLUDE_DIR})
ENDIF()


IF(WIN32)
    SET(Boost_USE_STATIC_LIBS ON)
ENDIF()
FIND_PACKAGE(Boost REQUIRED COMPONENTS program_options thread chrono system date_time)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

FIND_PACKAGE(exiv2 REQUIRED)
INCLUDE_DIRECTORIES(${EXIV2_INCLUDE_DIR} "${EXIV2_INCLUDE_DIR}/exiv2")

FIND_PACKAGE(TIFF REQUIRED)
INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})

FIND_PACKAGE(PNG REQUIRED)
INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})

FIND_PACKAGE(OpenEXR REQUIRED)
INCLUDE_DIRECTORIES(${OPENEXR_INCLUDE_DIR} "${OPENEXR_INCLUDE_DIR}/OpenEXR")

FIND_PACKAGE(GSL REQUIRED)
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR} ${GSLCBLAS_INCLUDE_DIR})

FIND_PACKAGE(JPEG REQUIRED)
INCLUDE_DIRECTORIES(${JPEGLIB_INCLUDE_DIR})

FIND_PACKAGE(CFITSIO)
IF(CFITSIO_FOUND)
    INCLUDE_DIRECTORIES(${CFITSIO_INCLUDE_DIR})
    SET(LIBS ${LIBS} ${CFITSIO_LIBRARIES})
    ADD_DEFINITIONS(-DHAVE_CFITSIO)
ELSE()
    MESSAGE(WARNING "cfitsio not found! Building without FITS support!")
ENDIF()

SET(LIBS ${LIBS} ${OPENEXR_LIBRARIES})
SET(LIBS ${LIBS} ${TIFF_LIBRARIES})
SET(LIBS ${LIBS} ${LIBRAW_LIBRARIES})
SET(LIBS ${LIBS} ${FFTWF_LIBRARIES})
ADD_DEFINITIONS(-DHAVE_FFTW3F)
SET(LIBS ${LIBS} ${GSL_LIBRARIES} ${GSLCBLAS_LIBRARIES})
SET(LIBS ${LIBS} ${EXIV2_LIBRARIES})
SET(LIBS ${LIBS} ${JPEG_LIBRARIES})
SET(LIBS ${LIBS} ${LCMS2_LIBRARIES})
SET(LIBS ${LIBS} ${PNG_LIBRARIES})
SET(LIBS ${LIBS} ${Boost_LIBRARIES})

INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/src/")
INCLUDE_DIRECTORIES("${CMAKE_BINARY_DIR}/src/")
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

SET(LUMINANCE_HDR_H )
SET(LUMINANCE_HDR_SRC )

SET(LUMINANCE_HDR_H ${LUMINANCE_HDR_H}
    src/arch/math.h
    src/arch/malloc.h
    src/arch/string.h
    src/arch/freebsd/math.h
    src/arch/msvc/math.h
)

SET(LUMINANCE_HDR_RCCS icons.qrc)
QT5_ADD_RESOURCES(LUMINANCE_HDR_RCCS_SRCS ${LUMINANCE_HDR_RCCS})

ADD_SUBDIRECTORY(src)

IF(ENABLE_UNIT_TEST)
    ENABLE_TESTING()
    ADD_SUBDIRECTORY(test)
ENDIF(ENABLE_UNIT_TEST)

# translations
FILE(GLOB LUMINANCE_TS i18n/lang_*.ts)

IF(UPDATE_TRANSLATIONS)
    SET(LUMINANCE_TS ${LUMINANCE_TS} i18n/source.ts)
    IF(LUPDATE_NOOBSOLETE)
        QT5_CREATE_TRANSLATION(LUMINANCE_QM ${FILES_TO_TRANSLATE} ${LUMINANCE_TS} OPTIONS -noobsolete)
    ELSE()
        QT5_CREATE_TRANSLATION(LUMINANCE_QM ${FILES_TO_TRANSLATE} ${LUMINANCE_TS})
    ENDIF()
    IF(UNIX)
        IF(NOT APPLE) # Sadly on Linux Qt5 add global include paths in list of translation files, let's get rid of them
            EXECUTE_PROCESS(COMMAND ${CMAKE_SOURCE_DIR}/build_files/platforms/linux/sanitize_translations.sh
                WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
        ENDIF(NOT APPLE)
    ENDIF(UNIX)
ELSE(UPDATE_TRANSLATIONS)
    QT5_ADD_TRANSLATION(LUMINANCE_QM ${LUMINANCE_TS})
ENDIF(UPDATE_TRANSLATIONS)

ADD_CUSTOM_TARGET(translations_target DEPENDS ${LUMINANCE_QM})

SET(LUMINANCE_FILES
    ${LUMINANCE_HDR_H}
    ${LUMINANCE_HDR_CPP}
    ${LUMINANCE_HDR_RCCS_SRCS}
    ${LUMINANCE_QM})

# Apple Mac OS X
IF(APPLE)
    SET(CMAKE_INSTALL_PREFIX "/Applications")

    # Set Bundle settings
    set(MACOSX_BUNDLE_INFO_STRING "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${LHDR_VERSION}")
    set(MACOSX_BUNDLE_VERSION "${LHDR_VERSION}")
    set(MACOSX_BUNDLE_ICON_FILE "${CMAKE_SOURCE_DIR}/program-icons/luminance.icns")
    set(MACOSX_BUNDLE_ICON "${CMAKE_SOURCE_DIR}/program-icons/luminance.icns")
    set(MACOSX_BUNDLE_RESOURCES "${CMAKE_CURRENT_BINARY_DIR}/${LHDR_OSX_EXECUTABLE_NAME}.app/Contents/Resources")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER "${LHDR_DOMAIN_SECOND}.${LHDR_DOMAIN_FIRST}")
    set(MACOSX_BUNDLE_BUNDLE_NAME "${LHDR_NAME}")

    configure_file( ${CMAKE_SOURCE_DIR}/build_files/platforms/macosx/Info.plist.in
                    ${CMAKE_BINARY_DIR}/Info.plist )
    configure_file( ${CMAKE_SOURCE_DIR}/build_files/platforms/macosx/create-dmg.sh.in
                    ${CMAKE_BINARY_DIR}/create-dmg.sh )

    # icon files to copy in the bundle
    SET(OSX_ICON_FILES "${CMAKE_SOURCE_DIR}/program-icons/luminance.icns")
    # include the icns files in the target
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${OSX_ICON_FILES})

    # Build project
    # SET( CMAKE_OSX_ARCHITECTURES x86_64;i386 )  # Universal build
    ADD_EXECUTABLE(${LHDR_OSX_EXECUTABLE_TARGET} MACOSX_BUNDLE ${LUMINANCE_FILES}) # luminance-hdr
    set_property(TARGET ${LHDR_OSX_EXECUTABLE_TARGET} PROPERTY OUTPUT_NAME ${LHDR_OSX_EXECUTABLE_NAME})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})

    SET_TARGET_PROPERTIES( ${LHDR_OSX_EXECUTABLE_TARGET} PROPERTIES MACOSX_BUNDLE_INFO_PLIST
                           "${CMAKE_BINARY_DIR}/Info.plist" )

    # set where in the bundle to put the icns files
    SET_SOURCE_FILES_PROPERTIES(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    # set where in the bundle to put the translation files
    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)
    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QT_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)

    INSTALL(TARGETS ${LHDR_OSX_EXECUTABLE_TARGET} luminance-hdr-cli
            BUNDLE DESTINATION . COMPONENT Runtime
            RUNTIME DESTINATION ${LHDR_OSX_EXECUTABLE_NAME}.app/Contents/MacOS COMPONENT Runtime)

    qt5_use_modules(${LHDR_OSX_EXECUTABLE_TARGET} Core Gui Widgets)
    qt5_use_modules(luminance-hdr-cli Core Gui Widgets)


    # Link libraries
    TARGET_LINK_LIBRARIES(${LHDR_OSX_EXECUTABLE_TARGET} ${LUMINANCE_MODULES_GUI} ${LIBS})
    TARGET_LINK_LIBRARIES(luminance-hdr-cli ${LUMINANCE_MODULES_CLI} ${LIBS})
# Unix
ELSEIF(UNIX)
    SET(LUMINANCE_FILES ${LUMINANCE_FILES})

    ADD_EXECUTABLE(luminance-hdr ${LUMINANCE_FILES})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})

    qt5_use_modules(luminance-hdr Core Gui Widgets)
    qt5_use_modules(luminance-hdr-cli Core Gui Widgets)

    # link libraries
    TARGET_LINK_LIBRARIES(luminance-hdr -Xlinker --start-group ${LUMINANCE_MODULES_GUI} -Xlinker --end-group)
    TARGET_LINK_LIBRARIES(luminance-hdr-cli -Xlinker --start-group ${LUMINANCE_MODULES_CLI} -Xlinker --end-group)
    TARGET_LINK_LIBRARIES(luminance-hdr ${LIBS})
    TARGET_LINK_LIBRARIES(luminance-hdr-cli ${LIBS})

    # make install directivies
    INSTALL(TARGETS luminance-hdr RUNTIME DESTINATION bin) # main GUI exec
    INSTALL(TARGETS luminance-hdr-cli RUNTIME DESTINATION bin) # main CLI exec
    INSTALL(FILES ${LUMINANCE_QM} DESTINATION share/luminance-hdr/i18n) # i18n
    #INSTALL(FILES ${LUMINANCE_QT_QM} DESTINATION share/luminance-hdr/i18n) # i18n

    INSTALL(FILES ${CMAKE_SOURCE_DIR}/program-icons/luminance-hdr.png DESTINATION share/icons/hicolor/48x48/apps) # icon
    INSTALL(FILES ${CMAKE_SOURCE_DIR}/luminance-hdr.desktop DESTINATION share/applications) #desktop entry
    INSTALL(FILES ${CMAKE_SOURCE_DIR}/luminance-hdr.appdata.xml DESTINATION share/appdata) #appstream 
    INSTALL(FILES
    ${CMAKE_SOURCE_DIR}/AUTHORS
    ${CMAKE_SOURCE_DIR}/README.md
    ${CMAKE_SOURCE_DIR}/LICENSE
    ${CMAKE_SOURCE_DIR}/Changelog
    DESTINATION share/luminance-hdr) #info files
    INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/help DESTINATION share/luminance-hdr) # help directory
    INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/hdrhtml DESTINATION share/luminance-hdr) # hdrhtml directory
# Microsoft Windows
ELSEIF(WIN32)
    # icon files to copy in the bundle
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} "${CMAKE_SOURCE_DIR}/program-icons/luminance_ico.rc")

    # Subsystem console:
    ADD_EXECUTABLE(luminance-hdr WIN32 ${LUMINANCE_FILES})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})

    qt5_use_modules(luminance-hdr Core Gui Widgets WinExtras Svg)
    qt5_use_modules(luminance-hdr-cli Core Gui Widgets)

    # Link libraries
    TARGET_LINK_LIBRARIES(luminance-hdr ${LUMINANCE_MODULES_GUI} ${LIBS})
    TARGET_LINK_LIBRARIES(luminance-hdr-cli ${LUMINANCE_MODULES_CLI} ${LIBS})

ENDIF()

# Packaging must go at the bottom
include(${CMAKE_SOURCE_DIR}/build_files/Packaging.cmake)

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(Libpfs)
ADD_SUBDIRECTORY(LibpfsAdditions)
ADD_SUBDIRECTORY(TonemappingOperators)
ADD_SUBDIRECTORY(HdrCreation)

#ADD_SUBDIRECTORY(arch)
ADD_SUBDIRECTORY(MainWindow)

# Gui specific and main entry point
ADD_SUBDIRECTORY(MainGui)
# CLI specific and main entry point
ADD_SUBDIRECTORY(MainCli)

ADD_SUBDIRECTORY(PreviewPanel)
ADD_SUBDIRECTORY(Common)
ADD_SUBDIRECTORY(contrib)
ADD_SUBDIRECTORY(OsIntegration)
ADD_SUBDIRECTORY(BatchHDR)
ADD_SUBDIRECTORY(BatchTM)
ADD_SUBDIRECTORY(Core)
ADD_SUBDIRECTORY(Exif)
ADD_SUBDIRECTORY(Fileformat)
ADD_SUBDIRECTORY(Alignment)
ADD_SUBDIRECTORY(HdrWizard)
ADD_SUBDIRECTORY(HelpBrowser)
ADD_SUBDIRECTORY(Preferences)
ADD_SUBDIRECTORY(Projection)
ADD_SUBDIRECTORY(Resize)
ADD_SUBDIRECTORY(TonemappingPanel)
ADD_SUBDIRECTORY(TransplantExif)
ADD_SUBDIRECTORY(UI)
ADD_SUBDIRECTORY(Viewers)
ADD_SUBDIRECTORY(PreviewSettings)
ADD_SUBDIRECTORY(HdrHTML)

# They need to stay at the bottom of this file!
SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} PARENT_SCOPE)

=== test/CMakeLists.txt ===
find_package(Boost COMPONENTS program_options REQUIRED)

ADD_SUBDIRECTORY(ImageInspector)
ADD_SUBDIRECTORY(InputOutputTest)
ADD_SUBDIRECTORY(FusionAlgorithms)
ADD_SUBDIRECTORY(WhiteBalance)

# workaround for http://code.google.com/p/googletest/issues/detail?id=408
IF(MSVC_VERSION EQUAL 1700)
ADD_DEFINITIONS(-D_VARIADIC_MAX=10)
ENDIF()

FIND_PACKAGE(GTest)

IF(GTEST_FOUND)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${GTEST_INCLUDE_DIRS})

IF(UNIX)
FIND_PACKAGE(Threads)
ENDIF(UNIX)

# Colorspace test
# LinearRGB -> XYZ / Y
ADD_EXECUTABLE(TestRGB2XYZ TestRGB2XYZ.cpp)
TARGET_LINK_LIBRARIES(TestRGB2XYZ pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestRGB2XYZ TestRGB2XYZ)

# SRGB -> XYZ / Y
ADD_EXECUTABLE(TestSRGB2XYZ TestSRGB2XYZ.cpp)
TARGET_LINK_LIBRARIES(TestSRGB2XYZ pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestSRGB2XYZ TestSRGB2XYZ)

ADD_EXECUTABLE(TestXYZ2RGB TestXYZ2RGB.cpp)
TARGET_LINK_LIBRARIES(TestXYZ2RGB pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestXYZ2RGB TestXYZ2RGB)

ADD_EXECUTABLE(TestCMYK2RGB TestCMYK2RGB.cpp)
TARGET_LINK_LIBRARIES(TestCMYK2RGB PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestCMYK2RGB TestCMYK2RGB)

ADD_LIBRARY(ContrastDomain STATIC
    mantiuk06/contrast_domain.cpp
    mantiuk06/contrast_domain.h)

ADD_LIBRARY(PrintArray2D STATIC
    PrintArray2D.cpp PrintArray2D.h)

qt5_use_modules(ContrastDomain Core)


# Mantiuk06
ADD_EXECUTABLE(TestMantiuk06Basic
    TestMantiuk06Basic.cpp)
IF(MSVC OR APPLE)
    TARGET_LINK_LIBRARIES(TestMantiuk06Basic
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} )
ELSE()
    TARGET_LINK_LIBRARIES(TestMantiuk06Basic
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} -lrt)
ENDIF()
qt5_use_modules(TestMantiuk06Basic Core)

ADD_TEST(TestMantiuk06Basic TestMantiuk06Basic)

ADD_EXECUTABLE(TestMantiuk06Pyramid
    TestMantiuk06Pyramid.cpp
)
IF(MSVC OR APPLE)
    TARGET_LINK_LIBRARIES(TestMantiuk06Pyramid
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} )
ELSE()
    TARGET_LINK_LIBRARIES(TestMantiuk06Pyramid
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} -lrt)
ENDIF()
qt5_use_modules(TestMantiuk06Pyramid Core)
ADD_TEST(TestMantiuk06Pyramid TestMantiuk06Pyramid)

ADD_EXECUTABLE(TestVex TestVex.cpp)
TARGET_LINK_LIBRARIES(TestVex
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestVex TestVex)

ADD_EXECUTABLE(TestVexDotProduct TestVexDotProduct.cpp)
TARGET_LINK_LIBRARIES(TestVexDotProduct
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestVexDotProduct TestVexDotProduct)

ADD_EXECUTABLE(TestPfsRotate TestPfsRotate.cpp CompareVector.h)
TARGET_LINK_LIBRARIES(TestPfsRotate pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsRotate TestPfsRotate)

ADD_EXECUTABLE(TestPfsShift TestPfsShift.cpp)
TARGET_LINK_LIBRARIES(TestPfsShift pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsShift TestPfsShift)

ADD_EXECUTABLE(TestConvertSample TestConvertSample.cpp)
TARGET_LINK_LIBRARIES(TestConvertSample PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestConvertSample TestConvertSample)

ADD_EXECUTABLE(TestPfsCut TestPfsCut.cpp SeqInt.h)
TARGET_LINK_LIBRARIES(TestPfsCut pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsCut TestPfsCut)

ADD_EXECUTABLE(TestFrameArray2D TestFrameArray2D.cpp)
TARGET_LINK_LIBRARIES(TestFrameArray2D pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestFrameArray2D TestFrameArray2D)

ADD_EXECUTABLE(TestFloatRgb TestFloatRgb.cpp)
TARGET_LINK_LIBRARIES(TestFloatRgb common fileformat pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestFloatRgb TestFloatRgb)
qt5_use_modules(TestFloatRgb Core Gui Widgets)

ADD_EXECUTABLE(TestMTB TestMTB.cpp)
TARGET_LINK_LIBRARIES(TestMTB common pfs hdrcreation
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestMTB TestMTB)

ADD_EXECUTABLE(TestMinMax TestMinMax.cpp)
TARGET_LINK_LIBRARIES(TestMinMax ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestMinMax TestMinMax)

ADD_EXECUTABLE(TestImageQualityDialog TestImageQualityDialog.cpp)
TARGET_LINK_LIBRARIES(TestImageQualityDialog ui fileformat pfs common ${LIBS})
qt5_use_modules(TestImageQualityDialog Core Gui Widgets)

ADD_EXECUTABLE(TestHdrCreationWizard TestHdrCreationWizard.cpp)
IF(APPLE OR MSVC)
    TARGET_LINK_LIBRARIES(TestHdrCreationWizard
    ${LUMINANCE_MODULES_GUI} ${LIBS})
ELSEIF(UNIX)
    TARGET_LINK_LIBRARIES(TestHdrCreationWizard
    -Xlinker --start-group ${LUMINANCE_MODULES_GUI} -Xlinker --end-group
    ${LIBS})
ENDIF()
qt5_use_modules(TestHdrCreationWizard Core Gui Widgets)

ADD_EXECUTABLE(TestFusionOperator TestFusionOperator.cpp)
IF(APPLE OR MSVC)
TARGET_LINK_LIBRARIES(TestFusionOperator
    ${Boost_PROGRAM_OPTIONS_LIBRARY} ${LUMINANCE_MODULES_CLI}
    ${LUMINANCE_MODULES_GUI} ${LIBS})
ELSE(UNIX)
TARGET_LINK_LIBRARIES(TestFusionOperator
    ${Boost_PROGRAM_OPTIONS_LIBRARY}
    -Xlinker --start-group ${LUMINANCE_MODULES_CLI} ${LUMINANCE_MODULES_GUI} -Xlinker --end-group ${LIBS})
ENDIF()
qt5_use_modules(TestFusionOperator Core Gui Widgets)

ADD_EXECUTABLE(TestPoissonSolver TestPoissonSolver.cpp)
TARGET_LINK_LIBRARIES(TestPoissonSolver hdrwizard pfs pfstmo 
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestPoissonSolver TestPoissonSolver)

ENDIF(GTEST_FOUND)

=== src/BatchHDR/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(batchhdr ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})
qt5_use_modules(batchhdr Concurrent Core Gui Widgets Sql Xml)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} batchhdr PARENT_SCOPE)

=== src/Fileformat/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H )

SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.h
)

SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(fileformat ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
qt5_use_modules(fileformat Core Gui Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} fileformat PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} fileformat PARENT_SCOPE)

=== src/HdrCreation/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H )

SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/createhdr.h
${CMAKE_CURRENT_SOURCE_DIR}/debevec.h
${CMAKE_CURRENT_SOURCE_DIR}/responses.h
${CMAKE_CURRENT_SOURCE_DIR}/robertson02.h
${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.h
${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.h
${CMAKE_CURRENT_SOURCE_DIR}/weights.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/debevec.cpp
${CMAKE_CURRENT_SOURCE_DIR}/responses.cpp
${CMAKE_CURRENT_SOURCE_DIR}/robertson02.cpp
${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.cpp
${CMAKE_CURRENT_SOURCE_DIR}/weights.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(hdrcreation ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
qt5_use_modules(hdrcreation Core Gui Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrcreation PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrcreation PARENT_SCOPE)

=== src/HdrHTML/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/hdrhtml-path.hxx.in
    ${CMAKE_CURRENT_BINARY_DIR}/hdrhtml-path.hxx @ONLY)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/hdrhtml.h)

SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/hdrhtml.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsouthdrhtml.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(hdrhtml ${FILES_H} ${FILES_CPP})
qt5_use_modules(hdrhtml Core Gui)

SET(FILES_CLI_H
${CMAKE_CURRENT_SOURCE_DIR}/hdrhtml.h)

SET(FILES_CLI_CPP
${CMAKE_CURRENT_SOURCE_DIR}/hdrhtml.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsouthdrhtml.cpp)

ADD_LIBRARY(hdrhtml-cli ${FILES_CLI_H} ${FILES_CLI_CPP})
qt5_use_modules(hdrhtml-cli Core Gui)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE}
    ${FILES_CPP} ${FILES_H}
    ${FILES_CLI_CPP} ${FILES_CLI_H}
    PARENT_SCOPE)

SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrhtml  PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrhtml-cli PARENT_SCOPE)

=== src/HelpBrowser/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/help-path.hxx.in
    ${CMAKE_CURRENT_BINARY_DIR}/help-path.hxx @ONLY)

SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/HelpBrowser.ui
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.ui)
SET(FILES_H # to go into MOC
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.h
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.h
${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.h)
SET(FILES_HXX # NOT to go into MOC
${CMAKE_CURRENT_SOURCE_DIR}/LuminancePaths.h
${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.h
${CMAKE_CURRENT_SOURCE_DIR}/treeitem.h
${CMAKE_CURRENT_SOURCE_DIR}/treemodel.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.cpp
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.cpp
${CMAKE_CURRENT_SOURCE_DIR}/LuminancePaths.cpp
${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treeitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treemodel.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(helpbrowser ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H} ${FILES_HXX})
qt5_use_modules(helpbrowser Core Concurrent Gui Widgets Xml WebEngineCore WebEngineWidgets PrintSupport)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} helpbrowser PARENT_SCOPE)

=== src/Libpfs/CMakeLists.txt ===
# List all .h/.hxx files in this directory
FILE(GLOB LIBPFS_H *.h)
FILE(GLOB LIBPFS_HXX *.hxx)
# List all .cpp files in this directory
FILE(GLOB LIBPFS_CPP *.cpp)

ADD_SUBDIRECTORY(manip)
ADD_SUBDIRECTORY(utils)
ADD_SUBDIRECTORY(tm)
ADD_SUBDIRECTORY(exif)
ADD_SUBDIRECTORY(colorspace)
ADD_SUBDIRECTORY(io)

ADD_LIBRARY(pfs ${LIBPFS_H} ${LIBPFS_HXX} ${LIBPFS_CPP})
qt5_use_modules(pfs Core Gui Widgets)

SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} pfs PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} pfs PARENT_SCOPE)

=== src/LibpfsAdditions/CMakeLists.txt ===
SET(FILES_H
	${CMAKE_CURRENT_SOURCE_DIR}/formathelper.h
)
# SET(FILES_HPP
# ${CMAKE_CURRENT_SOURCE_DIR}/ezETAProgressBar.hpp)
SET(FILES_CPP
	${CMAKE_CURRENT_SOURCE_DIR}/formathelper.cpp
)

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(pfsadditions ${FILES_H} ${FILES_HPP} ${FILES_CPP} ${FILES_MOC})
qt5_use_modules(pfsadditions Core Gui Widgets)

SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} pfsadditions PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} pfsadditions PARENT_SCOPE)

=== src/MainCli/CMakeLists.txt ===

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/commandline.h)
SET(FILES_HPP
${CMAKE_CURRENT_SOURCE_DIR}/ezETAProgressBar.hpp)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/commandline.cpp
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_cli ${FILES_H} ${FILES_HPP} ${FILES_CPP} ${FILES_MOC})
#qt5_use_modules(main_cli Core Gui Widgets)
qt5_use_modules(main_cli Core Gui)


SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} main_cli PARENT_SCOPE)

=== src/MainGui/CMakeLists.txt ===
#SET(FILES_UI )
#SET(FILES_H )
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

#QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_gui ${FILES_CPP}) # ${FILES_H}  ${FILES_MOC}
qt5_use_modules(main_gui Core Gui Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP}  PARENT_SCOPE) # ${FILES_H}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} main_gui PARENT_SCOPE)

=== debian/changelog ===
luminance-hdr (2.5.1+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * [lintian] Drop trailing whitespace in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Feb 2018 14:19:41 +0100

luminance-hdr (2.5.1+dfsg-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * Sync priorities with override file (extra -> optional).

  [ Leonardo Montecchi ]
  * Apply upstream patch to use QtWebKit instead of QtWebEngine

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jan 2018 15:08:54 +0100

luminance-hdr (2.5.1+dfsg-1) experimental; urgency=low

  [ Leonardo Montecchi ]
  * New upstream release
  * Repack sources to remove unused folder 'hdrhtml/hdrhtml_hdrlabs_templ/'
    containing compiled .js without source
  * Add get-orig-source target to debian/rules
  * 60_hdrhtml_locale.diff: Fix locale issue in export to HTML feature
  * Update 20_usrsharedoc.diff: Revert putting the hdrhtml folder under
    /usr/doc as it is not part of the documentation

  [ Andreas Metzler ]
  * Drop unused b-d on libqt5webkit5-dev.
  * Repacked source -> use +dfsg version and set dvervsionmangle in watchfile.
  * Handle +dfsg suffix in get-orig-source target.
  * Use xz compression for repacked source.
  * Drop qtpfsgui transition package. Closes: #878689

 -- Andreas Metzler <ametzler@debian.org>  Thu, 19 Oct 2017 19:34:05 +0200

=== debian/control ===
Source: luminance-hdr
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
 Leonardo Montecchi <lmontecchi@montex.org>
Build-Depends: cmake (>= 2.8.11), debhelper (>= 9), libboost-dev,
 libboost-program-options-dev, libccfits-dev, libexiv2-dev, libfftw3-dev,
 libgsl-dev, libjpeg-dev, liblcms2-dev, libopenexr-dev, libpng-dev,
 libraw-dev, libtiff-dev, pkg-config, qtbase5-dev,
 qtdeclarative5-dev, qtscript5-dev,
 qttools5-dev (>= 5.2.1-7), qttools5-dev-tools,
 libqt5webkit5-dev, libboost-thread-dev, libboost-chrono-dev,
 libboost-system-dev, libboost-date-time-dev, libqt5svg5-dev
Standards-Version: 4.1.1
Homepage: http://qtpfsgui.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/git/pkg-phototools/luminance-hdr.git
Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/luminance-hdr.git

Package: luminance-hdr
Architecture: any
Depends: dcraw, hugin-tools, libqt5sql5-sqlite,
 ${shlibs:Depends}, ${misc:Depends}
Description: graphical user interface providing a workflow for HDR imaging
 Features:
  * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and
    16bit, RAW) of the same scene taken at different exposure setting.
  * Save and load HDR images.
  * Rotate and resize HDR images.
  * Tonemap HDR images.
  * Copy exif data between sets of images.
 .
 Supported HDR formats:
  * OpenEXR (extension: exr).
  * Radiance RGBE (extension: hdr).
  * Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff).
  * Raw image formats (extension: various).
  * PFS native format (extension: pfs).
 .
 Supported LDR formats: JPEG, PNG, PPM, PBM, TIFF (8 bit).

=== debian/rules ===
#!/usr/bin/make -f

# Various variables used later on:
NOT_NEEDED  = AUTHORS LICENSE README.md Changelog
DEB_DESTDIR = $(CURDIR)/debian/luminance-hdr
MANPAGE     = debian/luminance-hdr.1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export QT_SELECT := qt5

include /usr/share/dpkg/pkg-info.mk

# To enable test-suite build-depend on libgtest-dev and uncomment these lines
###override_dh_auto_configure:
###	cp -a /usr/src/gtest local-gtest && \
###		mkdir local-gtest/debian local-gtest/include && \
###		cp -a debian/compat debian/control local-gtest/debian && \
###		cd local-gtest && \
###		dh_auto_configure --verbose && \
###		dh_auto_build --verbose && \
###		ln -s /usr/include/gtest include/ && \
###		ln -s obj-* lib
###
###	dh_auto_configure --verbose -- -DGTEST_ROOT=$(CURDIR)/local-gtest

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(shell dpkg-parsechangelog -S source --file $(PKD)/changelog)
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
UVER = $(subst +dfsg,,$(VER))

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source:
	$(info I: $(PKG)_$(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(UVER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER)
	tar -xf $(PKG)_$(UVER).orig.tar.* --directory $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) && \
	$(RM) -r -v LuminanceHDR-v.$(UVER)/hdrhtml/hdrhtml_hdrlabs_templ/
	@echo "# Repacking..."
	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" --directory $(PKG)-$(VER) LuminanceHDR-v.$(UVER)
	rm -r -v $(PKG)-$(VER)

override_dh_auto_build:
	# Normal auto_build:
	dh_auto_build --verbose --parallel
	# Build the minimal manpage:
	pod2man --center='Minimal luminance-hdr manpage' \
		--release=$(shell dpkg-parsechangelog -S Version | sed -e 's/.*://' -e 's/-[^-][^-]*//') \
		debian/luminance-hdr.pod > $(MANPAGE)

override_dh_auto_install:
	dh_auto_install --verbose --destdir=$(DEB_DESTDIR)
	# Remove unneeded files
	for i in $(NOT_NEEDED); do \
		rm -v $(DEB_DESTDIR)/usr/share/doc/luminance-hdr/$$i ; \
	done

%:
	dh $@ --parallel

=== debian/watch ===
version=3

opts="filenamemangle=s/.+\/v?\.?(\d\S+)\.tar\.gz/LuminanceHDR-$1\.tar\.gz/,dversionmangle=s/\+dfsg//" \
  https://github.com/LuminanceHDR/LuminanceHDR/tags .*/v?\.?(\d\S+)\.tar\.gz

## luminance-hdr 2.6.0

=== debian/changelog ===
luminance-hdr (2.6.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Drop patches, fixed upstream.
  * Disable automatic dbgsym packages.
  * Debhelper compat raised to 10.
  * debian/control: add libeigen3-dev build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jun 2019 12:34:46 -0700

=== debian/control ===
Source: luminance-hdr
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
           Leonardo Montecchi <lmontecchi@montex.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 10),
               libboost-chrono-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libccfits-dev,
               libeigen3-dev,
               libexiv2-dev,
               libfftw3-dev,
               libgsl-dev,
               libjpeg-dev,
               liblcms2-dev,
               libopenexr-dev,
               libpng-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libraw-dev,
               libtiff-dev,
               pkg-config,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev (>= 5.2.1-7),
               qttools5-dev-tools
Standards-Version: 4.1.1
Homepage: http://qtpfsgui.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/git/pkg-phototools/luminance-hdr.git
Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/luminance-hdr.git

Package: luminance-hdr
Architecture: any
Depends: dcraw,
         hugin-tools,
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Description: graphical user interface providing a workflow for HDR imaging
 Features:
  * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and
    16bit, RAW) of the same scene taken at different exposure setting.
  * Save and load HDR images.
  * Rotate and resize HDR images.
  * Tonemap HDR images.
  * Copy exif data between sets of images.
 .
 Supported HDR formats:
  * OpenEXR (extension: exr).
  * Radiance RGBE (extension: hdr).
  * Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff).
  * Raw image formats (extension: various).
  * PFS native format (extension: pfs).
 .
 Supported LDR formats: JPEG, PNG, PPM, PBM, TIFF (8 bit).

=== debian/rules ===
#!/usr/bin/make -f

# Various variables used later on:
NOT_NEEDED  = AUTHORS LICENSE README.md Changelog
DEB_DESTDIR = $(CURDIR)/debian/luminance-hdr
MANPAGE     = debian/luminance-hdr.1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export QT_SELECT := qt5

include /usr/share/dpkg/pkg-info.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

ifeq (${DEB_BUILD_GNU_CPU}, x86_64)
        OPTFLAGS=-march=x86-64
else
        OPTFLAGS=-march=i686
endif


%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
                         -DCMAKE_CXX_FLAGS_RELEASE="" \
                         -DCMAKE_C_FLAGS="-O3" \
                         -DCMAKE_CXX_FLAGS="-O3 -ffast-math \
                         -DNDEBUG ${OPTFLAGS}"

override_dh_auto_build:
	# Normal auto_build:
	dh_auto_build --verbose
	# Build the minimal manpage:
	pod2man --center='Minimal luminance-hdr manpage' \
		--release=$(shell dpkg-parsechangelog -S Version | sed -e 's/.*://' -e 's/-[^-][^-]*//') \
		debian/luminance-hdr.pod > $(MANPAGE)

override_dh_strip:
	dh_strip --no-automatic-dbgsym
